Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RString Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
union {
struct {
long len
char * ptr
union {
long capa
VALUE shared
} aux
} heap
char ary [RSTRING_EMBED_LEN_MAX+1]
} | as
union {
struct {
long len
char * ptr
union {
long capa
VALUE shared
} aux
} heap
char ary [RSTRING_EMBED_LEN_MAX+1]
} | as

## Detailed Description

Definition at line 842 of file ripper.y.

## Field Documentation

char RString::ary[RSTRING_EMBED_LEN_MAX+1]

Definition at line 853 of file ripper.y.

Referenced by rb_sym_all_symbols().

union { ... } RString::as

Referenced by code_page(), rb_check_id(), rb_check_id_cstr(), and rb_intern3().

union { ... } RString::as

union { ... } RString::aux

union { ... } RString::aux

struct RBasic RString::basic

Definition at line 843 of file ripper.y.

Referenced by code_page(), rb_check_id(), rb_check_id_cstr(), and rb_intern3().

long RString::capa

Definition at line 849 of file ripper.y.

struct { ... } RString::heap

Referenced by code_page(), rb_check_id(), rb_check_id_cstr(), and rb_intern3().

struct { ... } RString::heap

long RString::len

Definition at line 846 of file ripper.y.

Referenced by intern_str(), rb_check_id_cstr(), rb_file_expand_path_internal(), and rb_intern3().

char* RString::ptr

Definition at line 847 of file ripper.y.

VALUE RString::shared

Definition at line 850 of file ripper.y.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h